  $ source "$TESTDIR/helpers.bash"

  $ compile <<EOF
  > variable int : a;
  > read(a);
  > if (a > 5) then {
  >     print(1);
  > } otherwise {
  >     print(2);
  > }
  > if (!(a > 5)) then {
  >     print(2);
  > } otherwise {
  >     print(1);
  > }
  > print(a);
  > EOF

  $ echo 1 | qx -q script.qud
  2
  2
  1
  $ echo 5 | qx -q script.qud
  2
  2
  5
  $ echo 6 | qx -q script.qud
  1
  1
  6

  $ # and/or if's
  $ compile <<EOF
  > variable int : a;
  >          int : b;
  > read(a);
  > read(b);
  > if (a > 5 and b > 5) then {
  >     print(1);
  > } otherwise {
  >     print(2);
  > }
  > EOF
  $ qx -q script.qud <<EOF
  > 1
  > 1
  > EOF
  2
  $ qx -q script.qud <<EOF
  > 1
  > 10
  > EOF
  2
  $ qx -q script.qud <<EOF
  > 10
  > 1
  > EOF
  2
  $ qx -q script.qud <<EOF
  > 10
  > 10
  > EOF
  1

  $ compile <<EOF
  > variable int : a;
  >          int : b;
  > read(a);
  > read(b);
  > if (a > 5 or b > 5) then {
  >     print(1);
  > } otherwise {
  >     print(2);
  > }
  > EOF
  $ qx -q script.qud <<EOF
  > 1
  > 1
  > EOF
  2
  $ qx -q script.qud <<EOF
  > 1
  > 10
  > EOF
  1
  $ qx -q script.qud <<EOF
  > 10
  > 1
  > EOF
  1
  $ qx -q script.qud <<EOF
  > 10
  > 10
  > EOF
  1

  $ # nested if's
  $ compile <<EOF
  > variable int : a;
  >          int : b;
  > read(a);
  > read(b);
  > if (a > 5) then {
  >     print(1);
  >     if (b > 5) then {
  >         print(1);
  >     } otherwise {
  >         print(2);
  >     }
  > } otherwise {
  >     print(2);
  >     if (b > 5) then {
  >         print(1);
  >     } otherwise {
  >         print(2);
  >     }
  > }
  > print(a);
  > print(b);
  > EOF

  $ qx -q script.qud <<EOF
  > 1
  > 2
  > EOF
  2
  2
  1
  2

  $ qx -q script.qud <<EOF
  > 6
  > 2
  > EOF
  1
  2
  6
  2

  $ qx -q script.qud <<EOF
  > 2
  > 6
  > EOF
  2
  1
  2
  6

  $ qx -q script.qud <<EOF
  > 6
  > 6
  > EOF
  1
  1
  6
  6

  $ compile <<EOF
  > variable int : a;
  >          real : b;
  > read(a);
  > read(b);
  > if (b >= a) then {
  >     print(1);
  > } otherwise {
  >     print(2);
  > }
  > EOF
  $ qx -q script.qud <<EOF
  > 1
  > 3.14
  > EOF
  1

  $ compile <<EOF
  > variable int : a;
  >          real : b;
  > read(a);
  > read(b);
  > if (a >= b) then {
  >     print(1);
  > } otherwise {
  >     print(2);
  > }
  > EOF
  $ qx -q script.qud <<EOF
  > 1
  > 3.14
  > EOF
  2
